// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Network
{
    /// <summary>
    /// Represents HTTP response headers.
    /// </summary>
    public enum HttpResponseHeader
    {
        CacheControl,

        Connection,

        Date,

        KeepAlive,

        Pragma,

        Trailer,

        TransferEncoding,

        Upgrade,

        Via,

        Warning,

        Allow,

        ContentLength,

        ContentType,

        ContentEncoding,

        ContentLanguage,

        ContentLocation,

        ContentMd5,

        ContentRange,

        Expires,

        LastModified,

        AcceptRanges,

        Age,

        ETag,

        Location,

        ProxyAuthenticate,

        RetryAfter,

        Server,

        SetCookie,

        Vary,

        WwwAuthenticate,

        SecWebSocketExtensions,

        SecWebSocketAccept,

        SecWebSocketProtocol,

        SecWebSocketVersion
    }
}