// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

namespace EonaCat.Network
{
    /// <summary>
    /// Represents HTTP request headers.
    /// </summary>
    public enum HttpRequestHeader
    {
        CacheControl,

        Connection,

        Date,

        KeepAlive,

        Pragma,

        Trailer,

        TransferEncoding,

        Upgrade,

        Via,

        Warning,

        Allow,

        ContentLength,

        ContentType,

        ContentEncoding,

        ContentLanguage,

        ContentLocation,

        ContentMd5,

        ContentRange,

        Expires,

        LastModified,

        Accept,

        AcceptCharset,

        AcceptEncoding,

        AcceptLanguage,

        Authorization,

        Cookie,

        Expect,

        From,

        Host,

        IfMatch,

        IfModifiedSince,

        IfNoneMatch,

        IfRange,

        IfUnmodifiedSince,

        MaxForwards,

        ProxyAuthorization,

        Referer,

        Range,

        Te,

        Translate,

        UserAgent,

        SecWebSocketKey,

        SecWebSocketExtensions,

        SecWebSocketProtocol,

        SecWebSocketVersion
    }
}